<main class="container">
	<p class="text-2xl text-center uppercase">Bienvenue <strong>{{ user.surname }} {{ user.name }}</strong></p>

	<div class="flex flex-col my-6">
		<div class="py-2 -my-2 overflow-x-auto sm:-mx-6 sm:px-6 lg:-mx-8 lg:px-8">
			<div class="inline-block min-w-full overflow-hidden align-middle border-b border-gray-200 shadow sm:rounded-lg">
				<table class="min-w-full">
					<caption class="m-3 text-xl text-left">Mes infos</caption>
					<thead>
						<tr>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Numéro de téléphone
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Adresse email
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Adresse
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Tee-shirt
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Participation à la Garden Party
							</th>
							<th class="px-6 py-3 text-xs font-medium leading-4 tracking-wider text-left text-gray-500 uppercase border-b border-gray-200 bg-gray-50">
								Propose un hébergement
							</th>
							<th class="px-6 py-3 border-b border-gray-200 bg-gray-50"></th>
						</tr>
					</thead>

					<tbody class="bg-white">
							<tr>
								<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
									{{ user.phone }}
								</td>
								<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
									{{ user.email }}
								</td>
								<td class="px-6 py-4 text-sm leading-5 text-gray-500 whitespace-no-wrap border-b border-gray-200">
									{{ volonteer.address }}
								</td>
								<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
									{% if volonteer.haveTeeShirt %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
											Oui
										</span>

									{% else %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
											Non
										</span>
									{% endif %}
								</td>
								<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
									{% if user.gardenParty %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
											Oui
										</span>

									{% else %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
											Non
										</span>
									{% endif %}
								</td>
								<td class="px-6 py-4 whitespace-no-wrap border-b border-gray-200">
									{% if user.hosting %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-green-800 bg-green-100 rounded-full">
											Oui
										</span>

									{% else %}
										<span class="inline-flex px-2 text-xs font-semibold leading-5 text-red-800 bg-red-100 rounded-full">
											Non
										</span>
									{% endif %}
								</td>

								<td class="px-6 py-4 text-sm font-medium leading-5 text-right whitespace-no-wrap border-b border-gray-200">
									<a href="{{ path('user_profile_edit', {'id': app.user.id}) }}" class="text-indigo-600 hover:text-indigo-900 focus:outline-none focus:underline">Modifier</a>
								</td>
							</tr>
					</tbody>
				</table>
			</div>
		</div>
	</div>


	<div class="flex flex-wrap">
		<div class="w-full md:w-1/2 xl:w-1/3 p-3">
			<!--Metric Card-->
			<div class="bg-green-lightest border-b-4 border-green-dark rounded-lg shadow-lg p-5">
				<div class="flex flex-row items-center">
					<div class="flex-shrink pr-4">
						<div class="rounded-full p-5" id="svg-picto"><i class="far fa-calendar-alt fa-2x"></i></div>
					</div>
					<div class="flex-1 text-right md:text-center">
						<h5 class="uppercase text-grey-dark font-bold">Édition</h5>
						{% if edition is empty %}
							<p>La prochaine édition n'a pas encore été programmée</p>
						{% else %}
							{% if proposition is empty %}
								{%  if edition.volunteerRegistration and activities is not empty %}
									<p class="mb-5">Les inscriptions pour l'édition {{ edition.year }} sont ouvertes</p>
									<a class="btn" href="{{ path('proposition_index') }}">S'inscrire à l'édition</a>
								{% else %}
									<p>Les inscriptions pour l'édition {{ edition.year }} sont fermées</p>
								{% endif %}
							{% else %}
								<p class="mb-2">{{ edition.name }} ({{ edition.year }})</p>
								{% if user.hosting %}
									<p class="mb-2">Nombre de lit 1 place : {{ proposition.numberSingleBed }}</p>
									<p class="mb-2">Nombre de lit 2 places : {{ proposition.numberDoubleBed }}</p>
								{% endif %}
								{{ proposition.comment is not empty ? '<p class="mb-2">Commentaire : {{ proposition.comment }}</p>' : '' }}
							</div>
						</div>
					</div>
				</div>
						<div class="w-full md:w-1/2 xl:w-1/3 p-3">
							<div class="bg-green-lightest border-b-4 border-green-dark rounded-lg shadow-lg p-5">
								<div class="flex flex-row items-center">
									<div class="flex-shrink pr-4">
										<div class="rounded-full p-5" id="svg-picto"><i class="fas fa-dice fa-2x"></i></div>
									</div>
									<div class="flex-1 text-right md:text-center">
										<h5 class="uppercase text-grey-dark font-bold">Choix de mes activités</h5>
										{% for choixActivite in listeActivitesChoisies %}
											<p class="mb-2 liste-dashboard"><i class="far fa-circle mr-3"></i>{{ choixActivite.activity.name }} : {{ choixActivite.choice == 1 ? 'Oui' : (choixActivite.choice == 0 ? 'Non' : 'Sans Avis') }}</p>
										{% endfor %}
									</div>
								</div>
							</div>
						</div>
						<div class="w-full md:w-1/2 xl:w-1/3 p-3">
							<div class="bg-green-lightest border-b-4 border-green-dark rounded-lg shadow-lg p-5">
								<div class="flex flex-row items-center">
									<div class="flex-shrink pr-4">
										<div class="rounded-full p-5" id="svg-picto"><i class="far fa-clock fa-2x"></i></div>
									</div>
									<div class="flex-1 text-right md:text-center">
										<h5 class="uppercase text-grey-dark font-bold">Créneaux</h5>
										{% for creneau in listeCreneaux %}
											<p class="mb-2 liste-dashboard"><i class="far fa-circle mr-3"></i>{{ creneau.day | trans({}, 'proposition') }} : {{ creneau.start|format_datetime('none', 'short', locale="fr") }} à {{ creneau.end|format_datetime('none', 'short', locale="fr") }}</p>
										{% endfor %}
									</div>
								{% endif %}
							{% endif %}
						</div>
					</div>
				</div>
			<!--/Metric Card-->
		</div>
	</div>
</main>
